Subject: [Lsr] I-D Action: draft-ietf-ospf-yang-14.txt

From: [email-masked]
Date: Tue, 28 Aug 2018 10:05:11 -0700

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Link State Routing WG of the IETF.

        Title           : Yang Data Model for OSPF Protocol
        Authors         : Derek Yeung
                          Yingzhen Qu
                          Jeffrey Zhang
                          Ing-Wher Chen
                          Acee Lindem
	Filename        : draft-ietf-ospf-yang-14.txt
	Pages           : 115
	Date            : 2018-08-28

Abstract:
   This document defines a YANG data model that can be used to configure
   and manage OSPF.  The model is based on YANG 1.1 as defined in RFC
   7950 and conforms to the Network Management Datastore Architecture
   (NDMA) as described in RFC 8342.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-ospf-yang/

There are also htmlized versions available at:
https://tools.ietf.org/html/draft-ietf-ospf-yang-14
https://datatracker.ietf.org/doc/html/draft-ietf-ospf-yang-14

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-ietf-ospf-yang-14

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

---

From: "Acee Lindem (acee)" <[email-masked]>
Date: Tue, 28 Aug 2018 17:34:58 +0000

This version addresses Tom Petch's last call comments. 
Thanks,
Acee 

On 8/28/18, 1:10 PM, "Lsr on behalf of [email-masked]" <[email-masked] on behalf of [email-masked]> wrote:

    
    Abstract:

    

    
    _______________________________________________
    Lsr mailing list
    [email-masked]
    https://www.ietf.org/mailman/listinfo/lsr

---

From: tom petch <[email-masked]>
Date: Wed, 29 Aug 2018 12:01:22 +0000

Acee

Thank you for the list of features in s.2.4; much appreciated.  A couple
of minor editorial tweaks perhaps to

11. admin-control> Support Administrative control of the protocol
26. bfd: Support BFD detection of OSPF neighbor reachability
        [RFC5880], xref target="RFC5881"/>

With the BFD reference, yes, I like
       reference "RFC YYYY - YANG Data Model for Bidirectional
but would still add a Note to the RFC Editor asking them to replace YYYY
with the assigned RFC number for
   [I-D.ietf-bfd-yang]
(which is how it appears in the Normative References).

And you still have a
link-state database
in
rpc clear-database
which I prefer to be
Link State Database

Tom Petch

----- Original Message -----
From: "Acee Lindem (acee)" <acee=[email-masked]>
To: <[email-masked]>
Sent: Tuesday, August 28, 2018 6:34 PM

> On 8/28/18, 1:10 PM, "Lsr on behalf of [email-masked]"

---

From: "Acee Lindem (acee)" <[email-masked]>
Date: Wed, 29 Aug 2018 13:07:25 +0000

Hi Tom, 
I believe I've fixed these in the -15 version. I see I have down references in the IDNITs which I will address in a future version. 
Thanks again for your review,
Acee 

On 8/29/18, 8:01 AM, "tom petch" <[email-masked]> wrote:

    Acee

    
    
    And you still have a
    link-state database
    in
    rpc clear-database
    which I prefer to be
    Link State Database
    
    Tom Petch

---

From: tom petch <[email-masked]>
Date: Fri, 31 Aug 2018 11:53:31 +0000

Acee

-15 looks ok

Tom Petch

----- Original Message -----
From: "Acee Lindem (acee)" <[email-masked]>
Sent: Wednesday, August 29, 2018 2:07 PM

> Hi Tom,
> I believe I've fixed these in the -15 version. I see I have down
references in the IDNITs which I will address in a future version.
>     >     A New Internet-Draft is available from the on-line
Internet-Drafts
>     directories.
>     >     This draft is a work item of the Link State Routing WG of
the
>     IETF.
>     >        This document defines a YANG data model that can be used
to
>     configure
>     >        and manage OSPF.  The model is based on YANG 1.1 as
defined in
>     RFC
>     >     Please note that it may take a couple of minutes from the
time of
>     submission